<div class="">
    <h3>Surge capacity</h3>
    <br>
    <div class="alert alert-info" *ngIf="operationStatus.length">
        {{ operationStatus }}
    </div>
    <br>
    <table class="table table-stripped">
        <thead>
            <th>Updated</th>
            <th>Name</th>
            <th>Position</th>
            <th>Sector of<br>expertise</th>
            <th>Location</th>
            <th>Actions</th>
        </thead>
        <tbody   *ngFor="let user of users">
            <tr>
                <td>{{updateTime| date : ['d-MM-y']}}</td>
                <td>{{user.user.firstname}} {{user.user.lastname}}</td>
                <td></td>
                <td></td>
                <td></td>
                <td><span style="cursor:pointer; color: #337ab7" (click)="toggleUserDetails(user.user.id)" >Details</span></td>
            </tr>
            <tr>
                <td style="border: 1px solid #337ab7 " colspan="5" *ngIf="isToggledUserDetails(user.user.id)">
                    <h4>Surge capacity details</h4>
                    <table class="">
                        <tbody>
                            <tr>
                                <td style="width:150px"><strong>Organization</strong></td>  <td style="">{{user.roster.organisation.name}}</td>
                            </tr>
                            <tr>
                                <td style="width:150px"><strong>Email</strong></td>         <td style="">{{user.user.email}}</td>
                            </tr>
                            <tr>
                                <td style="width:150px"><strong>Address</strong></td>       <td style="">{{user.user.profile.profile_address.address}}</td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    <button class="btn btn-primary btn-inverse-primary" name="button">ADD</button>
    <button class="btn btn-success btn-inverse-success" name="button" (click)="synchronize()">Synchronize with Emalsys <i class="fa fa-cogs"></i></button>
</div>
